topInteraction {SLGI} | R Documentation

## Extract interacting biological complexes

### Description

Extract the top X interacting biological complexes.

### Usage

    topInteraction(data,top=10)

### Arguments

`data` | Square matrix of biological complexes that shares one or more genes(proteins)
`top` | Interger that represents the percentage of interacting complexe

### Value

Data frame of biological complexes that interact. The first two columns are the cellular organizational units names and the third column indicates the number of interactions.

### Author(s)

N. LeMeur

### Examples

    data(Atong)
    data(ScISIC)
    data(SGA)
    SLa2 <- gi2Interactome(Atong, ScISIC)
    ## Search for synthetic lethal interaction
    compM <- getInteraction(SLa2, SGA, ScISIC)
    top10Interaction<- topInteraction(compM$bwMat,top=10)

[Package SLGI version 1.4.0 Index]